image: node:14.10.0 # can be upgraded, depending on your node version used
 
pages:
  cache:
    paths:
    - node_modules/
 
  stage: deploy
  script:
  - npm install
  - npm run build
  - rm -rf public
  - mv build public
  artifacts:
    paths:
    - public # mandatory, other folder won't work
  only:
  - master # or dev, the branch you want to publish 